# Note that this is NOT a relocatable package
%define ver      2.0.1
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr

Summary: Userland applications for Affix Bluetooth stack
Name: affix
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/System
Vendor: Nokia Research Center
Packager: Mitja Pufic <raveer@section-one.org>
Source: http://affix.sourceforge.net/affix-%{ver}.tar.gz
Patch0: http://www.section-one.org/BT/init/affix/btcontrol.diff.gz
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
URL: http://affix.sourceforge.net
Docdir: %{prefix}/share/doc
Requires: glibc >= 2.2.4
Requires: hotplug >= 2002_04_01
Requires: openobex >= 1.0.0
Requires: glib >= 1.2
Requires: glib-devel >= 1.2
Requires: affix-kernel >= %ver
Requires: affix-devel >= %ver
BuildRequires: automake >= 1.4
BuildRequires: glibc >= 2.2.4
BuildRequires: glib-devel >= 1.2
BuildRequires: affix-kernel >= %ver
BuildRequires: affix-kernel-devel >= %ver

%package devel
Summary: Affix header files.
Requires: affix-kernel = %ver
BuildRequires: glibc >= 2.2.4
BuildRequires: glib-devel >= 1.2
BuildRequires: affix-kernel >= %ver
BuildRequires: affix-kernel-devel >= %ver
Group: Development/Libraries

%description
Affix Bluetooth userland applications to manage bluetooth devices.

includes:
- Affix core libraries and tools; libaffix.so, btctl, btsrv
- Service Discovery client/server libraries and daemon; libaffix_sdp.so, libaffix_sdpsvc.so, btsdp.
- OBEX client/server libraries and daemon; libaffix_obex.so, btobex

Affix Bluetooth Protocol Stack for Linux has been developed at
Nokia Research Center in Helsinki, Finland.

Affix package supports the following profiles:
        - General Access Profie
        - Service Discovery Profile
        - Serial Port Profile
        - DialUp Networking Profile
        - LAN Access Profile
        - OBEX Object Push Profile
        - OBEX File Transfer Profile
        - PAN Profile
	- SCO (Audio)

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description devel
Affix Bluetooth kernel modules for USB / PCMCIA bluetooth devices.

Affix Bluetooth Protocol Stack for Linux has been developed at
Nokia Research Center in Helsinki, Finland.

Affix package supports the following profiles:
        - General Access Profie
        - Service Discovery Profile
        - Serial Port Profile
        - DialUp Networking Profile
        - LAN Access Profile
        - OBEX Object Push Profile
        - OBEX File Transfer Profile
        - PAN Profile

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

This package includes header files and libraries.

%changelog
* Mon Apr 21 2003 Mitja Pufic <m@section-one.org>
  from affix-2.0.1 [20.04.2003]
- [rpm] removed btloader and btserver script, they are now merged into
  affix script, btcontrol is still present.
- [fix] TYPO fix in sdp.h
- [fix] RH init script fix
- [new] TDK Bluetooth PCMCIA card fix
  from affix-2.0.0 [16.04.2003]
- [new] "btctl capture" captures packets on HCI interface.
- [fix] btobex file receving fix.
- [fix] SDP UUID128, error processing fixes
- [change] final SDP cleanup. no more API changes in the future.
- [change] "btctl connect" now requires "service" parameter always

* Sat Mar 15 2003 Mitja Pufic <m@section-one.org>
- [rpm] affix init script does initialization and reads vars from affix.conf
- [new] Complete Audio Support -> can play MP3 on your headset
        see btmpg123 script
- [new] FAX profile from Christian Plog
- [new] real DUN profile -> works with real modem.
- [fix] pre1 -> pre2 fixes. everything works.
- [new] Redhat init.d stcript.
- [new] affix.conf has extra options: load_modules and audio.

* Thu Mar 05 2003 Mitja Pufic <m@section-one.org>
- [rpm] updated btcontrol init script
- [rpm] RPM relase is still located in /usr
- [rpmbuild] SPEC file updated and cleaned
- [NOTE] it goes to /usr/local
        !!! uninstall previous: make uninstall
- [new] btsrv.conf got new options: managekey, managepin, startsvc, initdev
- [new] PAN enhanced with SDP
- [changes] PAN control interface enhanced with panconnect, pandiscovery,
            pandisconnect commands
- [change] libaffix_utils removed
- [changes] SDP API cleaned up and improved - now ease to use
- [changes] openobex 0.9.8 support removed, use NEW 1.0.0 library

* Sun Dec 22 2002 Mitja Pufic <m@section-one.org>
- [rpmfix] keeps old config files
- [change] threading removed from btsdp - not required.
- [change] libpthread is not required anymore..
- [fix] AWK usage removed from /etc/affix/hwinit

* Thu Nov 28 2002 Mitja Pufic <m@section-one.org>
- [fix] init_uart: ericsson modules works again (1.2.4 had problems)
- [fix] link fixes with old OpenObex library
- [new] new policy/baseband HCI commands:
        HCI_SniffMode, HCI_ExitSniffMode, HCI_HoldMode
        HCI_ReadLinkPolicySettings, HCI_WriteLinkPolicySettings
        HCI_GetLinkQuality, HCI_ReadRSSI, HCI_Read_Transmit_Power_Level
        HCI_ReadHoldModeActivity, HCI_WriteHoldModeActivity
        HCI_ReadScanMode, HCI_WriteScanMode
        HCI_ReadScanPeriodMode, HCI_WriteScanPeriodMode

* Mon Oct 28 2002 Mitja Pufic <m@section-one.org>
- init scripts updated and fixed

* Thu Oct 24 2002 Mitja Pufic <m@section-one.org>
- init scripts dilema ?:)
- [fix] intialization fixed
- [fix] bcsp fixed - checked that works on iPaq
- [changes] "btsrv --usekeys" changed by "btsrv --manage-keys"
- [changes] requirements for Python GTK lib added to System requirements.
        Required to run graphical pin helper window.
- [change] l2cap socket type changed from SOCK_STREAM to SOCK_SEQPACKET
- [fix] PIN window now get a focus and responde to CR

* Sat Sep 21 2002 Mitja Pufic <m@section-one.org>
- [changes] PAN initialization procedure changed.
        "btctl pan [init|stop]" used to do it.
- [fix] sec_level did not set by btsrv
- [new] BCSP protocol suported:
        e.g. btctl open_uart /dev/ttyS0 bcsp
- [changes] Service which register records in SDP server
        has to maintain SDP server connection handle.
        If service die w/o service unregistration then
        SDP server removes service record

* Mon Sep 16 2002 Mitja Pufic <m@section-one.org>
- My Birthday :)
- requires affix-kernel-1.2.0
- [changes] SDP API simplified and improved
- [new] improved btsrv: new options in btsrv.conf
        - service options: security, class
        - device options: security, class, role, pkt_type
- [changes] btctl auth/encrypt changed to sec_mode
        btctl sec_mode service
        btctl sec_mode link auth

* Fri Sep 06 2002 Mitja Pufic <m@section-one.org>
- ChangeLog for more info, RPM package has now 3 init scripts, locking 
  feature and reads vars from /etc/sysconfig

* Tue Aug 06 2002 Mitja Pufic <m@section-one.org>
- Stable release, some new features, check ChangeLog for more info 
  bluetooth init script works now

* Fri Jul 19 2002 Mitja Pufic <m@section-one.org>
- etc fix + rpm lib fix

* Wed Jul 17 2002 Mitja Pufic <m@section-one.org>
- Initial RPM

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf /usr/src/redhat/BUILD/*

%setup -q

%patch0 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --libdir=%{prefix}/lib --includedir=%{prefix}/include
make
	
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/{affix,ppp}
mkdir -p $RPM_BUILD_ROOT/etc/ppp/ip-{up,down}.d
cp btcontrol $RPM_BUILD_ROOT/etc/rc.d/init.d/
chmod +x $RPM_BUILD_ROOT/etc/rc.d/init.d/bt*
cp etc/affix.rc.rh $RPM_BUILD_ROOT/etc/rc.d/init.d/affix
cp etc/{ppp*,serial,btsrv.conf,btsrv-gui,device.map,affix,affix.conf} $RPM_BUILD_ROOT/etc/affix
cp etc/masq-up $RPM_BUILD_ROOT/etc/ppp/ip-up.d
cp etc/masq-down $RPM_BUILD_ROOT/etc/ppp/ip-down.d
cp btmpg123 $RPM_BUILD_ROOT/usr/bin
cd $RPM_BUILD_ROOT/usr/bin
rm btftp
ln -s btctl btftp

%clean
rm -rf $RPM_BUILD_ROOT

%post devel -p /sbin/ldconfig

%files
%defattr(-, root, root)
/etc/affix/affix
/etc/affix/ppp_server
/etc/affix/serial
/etc/affix/device.map
/etc/affix/btsrv-gui
%config(noreplace) /etc/affix/btsrv.conf
%config(noreplace) /etc/affix/affix.conf
/etc/ppp/ip-*.d/*
/etc/rc.d/init.d/bt*
/etc/rc.d/init.d/affix
/usr/bin/bt*

%doc AUTHORS COPYING INSTALL ChangeLog NEWS README LEGAL TODO

%files devel
%defattr(-, root, root)
/usr/include/affix/*
/usr/lib/libaff*

